Bug 253749 - Review Request: php-pear-HTML-QuickForm-advmultiselect - Element for HTML_QuickForm that emulate a multi-select
Review Request: php-pear-HTML-QuickForm-advmultiselect - Element for HTML_Qui...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 13:53 EDT by Remi Collet
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 13:18:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-08-21 13:53:02 EDT
Spec URL: http://remi.fedorapeople.org/php-pear-HTML-QuickForm-advmultiselect.spec
SRPM URL: http://remi.fedorapeople.org/php-pear-HTML-QuickForm-advmultiselect-1.4.0-1.fc8.src.rpm
Mock log: http://remi.fedorapeople.org/php-pear-HTML-QuickForm-advmultiselect-build.log
Description: 
The HTML_QuickForm_advmultiselect package adds an element to the
HTML_QuickForm package that is two select boxes next to each other
emulating a multi-select.

-- 
I take ownership on the very old Review : Bug #235456
This is the last missing dep for Oreon.
Comment 1 Xavier Lamien 2007-09-08 13:37:34 EDT
will start review.
Comment 2 Xavier Lamien 2007-09-11 09:52:27 EDT
=== REQUIRED ITEMS ===

 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package name.
 [ OK ] Package meets the Packaging Guidelines.
 [ OK ] Package successfully builds into binary rpms on at least one
        supported architecture [NOARCH package].
 [ CHECK ] Tested on: koji from scratch [F-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ Ok ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPL
 [ OK ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ CHECK ] The spec file handles locales properly.
 [ OK ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ Ok ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ CHECK ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ SKIP ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.
 [ Ok ] pear scriptlets are present and correct.

Okay this package sounds clean ;)

==========
*APPROVED*
==========
Comment 3 Remi Collet 2007-09-11 14:18:18 EDT
New Package CVS Request
=======================
Package Name: php-pear-HTML-QuickForm-advmultiselect
Short Description: Element for HTML_QuickForm that emulate a multi-select
Owners: remi
Branches: devel, F-7, FC6, EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2007-09-12 12:25:38 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.